summaryrefslogtreecommitdiff
path: root/x11-themes/rogentos-artwork-core
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
committerBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
commit7224c1253228e5c29c78cb3f0f26ce34770f2356 (patch)
tree1684924656132935256e034f35f92abee6623265 /x11-themes/rogentos-artwork-core
Added ebuilds for kogaion desktop
Diffstat (limited to 'x11-themes/rogentos-artwork-core')
-rw-r--r--x11-themes/rogentos-artwork-core/Manifest4
-rw-r--r--x11-themes/rogentos-artwork-core/rogentos-artwork-core-1.ebuild53
-rw-r--r--x11-themes/rogentos-artwork-core/rogentos-artwork-core-2.1.ebuild72
-rw-r--r--x11-themes/rogentos-artwork-core/rogentos-artwork-core-2.2.ebuild71
-rw-r--r--x11-themes/rogentos-artwork-core/rogentos-artwork-core-2.ebuild63
5 files changed, 263 insertions, 0 deletions
diff --git a/x11-themes/rogentos-artwork-core/Manifest b/x11-themes/rogentos-artwork-core/Manifest
new file mode 100644
index 00000000..523b0c50
--- /dev/null
+++ b/x11-themes/rogentos-artwork-core/Manifest
@@ -0,0 +1,4 @@
+DIST rogentos-artwork-core-1.tar.xz 20451128 SHA256 03ebf9a7e21424b6e9708f0bd8ac179603d43343c18f4d54fb6a4f67c82e94de SHA512 0dfbf701518bf4dd9c58cdf654579d68c6d1d82258f9f1b1d6c82831e60710530f3228496c35591ed05379735df7a3c138fb2a30092026c00b1040ba4c3e713a WHIRLPOOL d854f7167230f6c8880d2af7196cb72589d827f4eb0dc92f8d644abb122443765011056ad47d713a122b445fb844e46b43c8ecba21958ccb421b415d0a97493b
+DIST rogentos-artwork-core-2.1.tar.xz 22867204 SHA256 5d10e0e9b97ae4ee6cee9717ab410083b3b9cd8fb3fe68e745fe91b062d793fd SHA512 8e74f10e69cccc80a6c5d878f6608d15990121614428e2b2b443c208d53fda15f9728f9adad664bf5e5261a75c4bbc84380fb43047ecbadb8be206691b819dc6 WHIRLPOOL ee49877b242f779874211d37e0affb2b35eee0cb43e1b3e8b853a3227c1a805debbd5c727790e65c691ebc7ab95a58f2177ef02ae93035c92cad855a93a4da4a
+DIST rogentos-artwork-core-2.2.tar.xz 22611772 SHA256 f57e7b98c30dcc1ea1eb98c6f77951a20787698d367fd04357939f52a578bfcd SHA512 bd8fe0cd1659fb658b602d3768abb48578792cff00c9962c5f9ae21e54fe35964a35a77bb912428a2b2d251fd84e85c31589bd4eecf974ea0872c1c1b7dcdd53 WHIRLPOOL e7f42ed9233d60aedaf09c4c0d2564f52622d7affc4c16c30b625cf8244f42bdbd0443fb4219dc2e81480ebf6dd5d4bb42474b45109bf85f6efeeba27abe4393
+DIST rogentos-artwork-core-2.tar.xz 19830976 SHA256 f343ea3d201bd5a1e19e310ca89945c4cf2491e36ee42ba9ffdd7e78de338525 SHA512 97c77b754d62e4a4433e3324ac5f7b2b282b8a34994a57d69dc9d984391010e0018ad97cd2fe44114d67c4bad8439584a0fa519a0c457f2a5884d31f0be641f0 WHIRLPOOL 2d8b51361b2dbc8a902e516886d6686c95b28af343bfbbefaede1a862f8c9ad1ae73845469edb1936470fa88c7aef01cea4aa0e7a1b351e0de3977ea189ace60
diff --git a/x11-themes/rogentos-artwork-core/rogentos-artwork-core-1.ebuild b/x11-themes/rogentos-artwork-core/rogentos-artwork-core-1.ebuild
new file mode 100644
index 00000000..513e878e
--- /dev/null
+++ b/x11-themes/rogentos-artwork-core/rogentos-artwork-core-1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2012 Sabayon Promotion
+# Copyright 2012 Rogentos Linux
+# Distributed under the terms of the GNU General Public License v2
+# Original Authors Sabayon Team
+# Maintainer BlackNoxis <stefan.cristian at rogentos.ro>
+
+EAPI=4
+inherit eutils mount-boot rogentos-artwork
+
+DESCRIPTION="Offical Rogentos Linux Core Artwork"
+HOMEPAGE="http://www.rogentos.ro"
+SRC_URI="http://pkg.rogentos.ro/~rogentos/distro/${CATEGORY}/${PN}/${PN}-${PVR}.tar.xz
+ http://pkg2.rogentos.ro/~noxis/distro/${CATEGORY}/${PN}/${PN}-${PVR}.tar.xz"
+
+LICENSE="CCPL-Attribution-ShareAlike-3.0"
+SLOT="0"
+KEYWORDS="~arm ~x86 ~amd64"
+IUSE=""
+RDEPEND="sys-apps/findutils
+ !<sys-boot/grub-0.97-r22
+"
+
+S="${WORKDIR}/${PN}"
+
+src_install() {
+ # Fbsplash theme
+ cd ${S}/fbsplash
+ dodir /etc/splash/rogentos
+ cp -r ${S}/fbsplash/rogentos/* ${D}/etc/splash/rogentos
+
+ # Cursors
+ cd ${S}/mouse/entis/cursors/
+ dodir /usr/share/cursors/xorg-x11/entis/cursors
+ insinto /usr/share/cursors/xorg-x11/entis/cursors/
+ doins -r ./
+
+ # Wallpaper
+ cd ${S}/background
+ insinto /usr/share/backgrounds
+ doins *.png *.jpg
+ #newins rogentoslinux.png rogentos-nvidia.png
+}
+
+pkg_postinst() {
+ # mount boot first
+ mount-boot_mount_boot_partition
+
+ # Update Sabayon initramfs images
+ update_sabayon_kernel_initramfs_splash
+
+ einfo "Please report bugs or glitches to"
+ einfo "BlackNoxis"
+}
diff --git a/x11-themes/rogentos-artwork-core/rogentos-artwork-core-2.1.ebuild b/x11-themes/rogentos-artwork-core/rogentos-artwork-core-2.1.ebuild
new file mode 100644
index 00000000..0391ba07
--- /dev/null
+++ b/x11-themes/rogentos-artwork-core/rogentos-artwork-core-2.1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2012 Sabayon Promotion
+# Copyright 2012 Rogentos Linux
+# Distributed under the terms of the GNU General Public License v2
+# Original Authors Sabayon Team
+# Maintainer BlackNoxis <stefan.cristian at rogentos.ro>
+
+EAPI=4
+inherit eutils mount-boot rogentos-artwork
+
+DESCRIPTION="Offical Rogentos Linux Core Artwork"
+HOMEPAGE="http://www.rogentos.ro"
+SRC_URI="http://pkg.rogentos.ro/~rogentos/distro/${CATEGORY}/${PN}/${PN}-${PVR}.tar.xz"
+ #http://pkg2.rogentos.ro/~noxis/distro/${CATEGORY}/${PN}/${PN}-${PVR}.tar.xz temporary out of duty repo
+
+LICENSE="CCPL-Attribution-ShareAlike-3.0"
+SLOT="0"
+KEYWORDS="~arm ~x86 ~amd64"
+IUSE=""
+RDEPEND="sys-apps/findutils
+ !<sys-boot/grub-0.97-r22
+"
+
+S="${WORKDIR}/${PN}"
+
+src_install() {
+ # Fbsplash theme
+ cd ${S}/fbsplash
+ dodir /etc/splash/rogentos
+ cp -r ${S}/fbsplash/rogentos/* ${D}/etc/splash/rogentos
+
+ # Cursors
+ cd ${S}/mouse/entis/cursors/
+ dodir /usr/share/cursors/xorg-x11/entis/cursors
+ insinto /usr/share/cursors/xorg-x11/entis/cursors/
+ doins -r ./
+
+ # Wallpaper
+ cd "${S}"/background
+ insinto /usr/share/backgrounds
+ doins *.png *.jpg
+ dosym /usr/share/backgrounds/Kogaion_tri_flame_wide.png /usr/share/backgrounds/kogaionlinux.png || die
+ dosym /usr/share/backgrounds/Kogaion_tri_flame_wide.png /usr/share/backgrounds/kgdm.png || die
+ #newins rogentoslinux.png rogentos-nvidia.png
+
+ # Backdrop functionality for Xfce
+ dodir /usr/share/xfce4/backdrops
+ insinto /usr/share/xfce4/backdrops
+ doins *.png *.jpg
+ dosym /usr/share/xfce4/backdrops/Kogaion_tri_flame_wide.png /usr/share/xfce4/backdrops/kogaionlinux.png || die
+ dosym /usr/share/xfce4/backdrops/Kogaion_blue_flame_wide.png /usr/share/xfce4/backdrops/kgdm.png || die
+ #dosym kogaionlinux.png "Kogaion_tri_flame_wide.png"
+ #dosym kgdm.png "Kogaion_blue_flame_wide.png"
+
+ # Plymouth
+ cd "${S}/plymouth/" || die
+ insinto /usr/share/plymouth
+ doins bizcom.png
+ insinto /usr/share/plymouth/themes
+ doins -r themes/rogentos
+
+}
+
+pkg_postinst() {
+ # mount boot first
+ mount-boot_mount_boot_partition
+
+ # Update Sabayon initramfs images
+ update_sabayon_kernel_initramfs_splash
+
+ einfo "Please report bugs or glitches to"
+ einfo "BlackNoxis"
+}
diff --git a/x11-themes/rogentos-artwork-core/rogentos-artwork-core-2.2.ebuild b/x11-themes/rogentos-artwork-core/rogentos-artwork-core-2.2.ebuild
new file mode 100644
index 00000000..eeb8adc7
--- /dev/null
+++ b/x11-themes/rogentos-artwork-core/rogentos-artwork-core-2.2.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2012 Sabayon Promotion
+# Copyright 2012 Rogentos Linux
+# Distributed under the terms of the GNU General Public License v2
+# Original Authors Sabayon Team
+# Maintainer BlackNoxis <stefan.cristian at rogentos.ro>
+
+EAPI=4
+inherit eutils mount-boot rogentos-artwork
+
+DESCRIPTION="Offical Rogentos Linux Core Artwork"
+HOMEPAGE="http://www.rogentos.ro"
+SRC_URI="http://pkg.rogentos.ro/~rogentos/distro/${CATEGORY}/${PN}/${PN}-${PVR}.tar.xz"
+ #http://pkg2.rogentos.ro/~noxis/distro/${CATEGORY}/${PN}/${PN}-${PVR}.tar.xz temporary out of duty repo
+
+LICENSE="CCPL-Attribution-ShareAlike-3.0"
+SLOT="0"
+KEYWORDS="~arm ~x86 ~amd64"
+IUSE=""
+RDEPEND="sys-apps/findutils
+ !x11-themess/sabayon-artwork-core
+ !<sys-boot/grub-0.97-r22
+"
+
+S="${WORKDIR}/${PN}"
+
+src_install() {
+ # Fbsplash theme
+ cd ${S}/fbsplash
+ dodir /etc/splash/rogentos
+ cp -r ${S}/fbsplash/rogentos/* ${D}/etc/splash/rogentos
+
+ # Cursors
+ cd ${S}/mouse/entis/cursors/
+ dodir /usr/share/cursors/xorg-x11/entis/cursors
+ insinto /usr/share/cursors/xorg-x11/entis/cursors/
+ doins -r ./
+
+ # Wallpaper
+ cd "${S}"/background
+ insinto /usr/share/backgrounds
+ doins *.png *.jpg
+ dosym /usr/share/backgrounds/Kogaion_tri_flame_wide.png /usr/share/backgrounds/kogaionlinux.png || die
+ dosym /usr/share/backgrounds/Kogaion_blue_flame_wide.png /usr/share/backgrounds/kgdm.png || die
+ #newins rogentoslinux.png rogentos-nvidia.png
+
+ # Backdrop functionality for Xfce
+ dodir /usr/share/xfce4/backdrops
+ insinto /usr/share/xfce4/backdrops
+ doins *.png *.jpg
+ dosym /usr/share/xfce4/backdrops/Kogaion_tri_flame_wide.png /usr/share/xfce4/backdrops/kogaionlinux.png || die
+ dosym /usr/share/xfce4/backdrops/Kogaion_blue_flame_wide.png /usr/share/xfce4/backdrops/kgdm.png || die
+
+ # Plymouth
+ cd "${S}/plymouth/" || die
+ insinto /usr/share/plymouth
+ doins bizcom.png
+ insinto /usr/share/plymouth/themes
+ doins -r themes/rogentos
+
+}
+
+pkg_postinst() {
+ # mount boot first
+ mount-boot_mount_boot_partition
+
+ # Update Sabayon initramfs images
+ update_sabayon_kernel_initramfs_splash
+
+ einfo "Please report bugs or glitches to"
+ einfo "BlackNoxis"
+}
diff --git a/x11-themes/rogentos-artwork-core/rogentos-artwork-core-2.ebuild b/x11-themes/rogentos-artwork-core/rogentos-artwork-core-2.ebuild
new file mode 100644
index 00000000..6f7c884a
--- /dev/null
+++ b/x11-themes/rogentos-artwork-core/rogentos-artwork-core-2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2012 Sabayon Promotion
+# Copyright 2012 Rogentos Linux
+# Distributed under the terms of the GNU General Public License v2
+# Original Authors Sabayon Team
+# Maintainer BlackNoxis <stefan.cristian at rogentos.ro>
+
+EAPI=4
+inherit eutils mount-boot rogentos-artwork
+
+DESCRIPTION="Offical Rogentos Linux Core Artwork"
+HOMEPAGE="http://www.rogentos.ro"
+SRC_URI="http://pkg.rogentos.ro/~rogentos/distro/${CATEGORY}/${PN}/${PN}-${PVR}.tar.xz"
+ #http://pkg2.rogentos.ro/~noxis/distro/${CATEGORY}/${PN}/${PN}-${PVR}.tar.xz temporary out of duty repo
+
+LICENSE="CCPL-Attribution-ShareAlike-3.0"
+SLOT="0"
+KEYWORDS="~arm ~x86 ~amd64"
+IUSE=""
+RDEPEND="sys-apps/findutils
+ !<sys-boot/grub-0.97-r22
+"
+
+S="${WORKDIR}/${PN}"
+
+src_install() {
+ # Fbsplash theme
+ cd ${S}/fbsplash
+ dodir /etc/splash/rogentos
+ cp -r ${S}/fbsplash/rogentos/* ${D}/etc/splash/rogentos
+
+ # Cursors
+ cd ${S}/mouse/entis/cursors/
+ dodir /usr/share/cursors/xorg-x11/entis/cursors
+ insinto /usr/share/cursors/xorg-x11/entis/cursors/
+ doins -r ./
+
+ # Wallpaper
+ cd "${S}"/background
+ insinto /usr/share/backgrounds
+ doins *.png *.jpg
+ doins "Circles wide.png" kogaionlinux.png
+ doins "Kogaion fuzzy 2.png" kgdm.png
+ #newins rogentoslinux.png rogentos-nvidia.png
+
+ # Backdrop functionality for Xfce
+ dodir /usr/share/xfce4/backdrops
+ insinto /usr/share/xfce4/backdrops
+ doins *.png *.jpg
+ doins "Circles wide.png" kogaionlinux.png
+ doins "Kogaion fuzzy 2.png" kgdm.png
+
+}
+
+pkg_postinst() {
+ # mount boot first
+ mount-boot_mount_boot_partition
+
+ # Update Sabayon initramfs images
+ update_sabayon_kernel_initramfs_splash
+
+ einfo "Please report bugs or glitches to"
+ einfo "BlackNoxis"
+}